Name:		bfast
Version:	0.6.4d
Release:	5%{?dist}
Summary:	Blat-like Fast Accurate Search Tool

Group:		Applications/Engineering
License:	GPLv2 and MIT
URL:		http://bfast.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-pthread.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	zlib-devel bzip2-devel

%description

BFAST facilitates the fast and accurate mapping of short reads to
reference sequences.  Some advantages of BFAST include:

Speed: enables billions of short reads to be mapped quickly.

Accuracy: A priori probabilities for mapping reads with defined set of variants.

An easy way to measurably tune accuracy at the expense of speed.

Specifically, BFAST was designed to facilitate whole-genome
resequencing, where mapping billions of short reads with variants is
of utmost importance.

BFAST supports both Illumina and ABI SOLiD data, as well as any other
Next-Generation Sequencing Technology (454, Helicos), with particular
emphasis on sensitivity towards errors, SNPs and especially
indels. Other algorithms take short-cuts by ignoring errors, certain
types of variants (indels), and even require further alignment, all to
be the "fastest" (but still not complete). BFAST is able to be tuned
to find variants regardless of the error-rate, polymorphism rate, or
other factors.


%prep
%setup -q
%patch0 -p1 

# temporary fix for 32-bit build problem
sed -i '/^extended_CFLAGS=/ s/-m64//' configure

%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm %{buildroot}/%{_docdir}/%{name}/LICENSE
rm %{buildroot}/%{_docdir}/%{name}/bfast-book.pdf
# delete this until new release with it removed
rm %{buildroot}/%{_bindir}/solid2fastq.pl

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README LICENSE
%doc manual/bfast-book.pdf
%{_bindir}/balignmentscoredistribution
%{_bindir}/balignsim
%{_bindir}/bevalsim
%{_bindir}/bfast
%{_bindir}/bfast.resubmit.pl
%{_bindir}/bfast.submit.pl
%{_bindir}/bgeneratereads
%{_bindir}/bindexdist
%{_bindir}/bindexhist
%{_bindir}/bmfmerge
%{_bindir}/brepeat
%{_bindir}/btestindexes
%{_bindir}/ill2fastq.pl
%{_bindir}/solid2fastq


%changelog
* Wed Jun 23 2010 Adam Huffman <bloch@verdurin.com> - 0.6.4d-5
- add MIT licence for kseq.h
- improve description
- clean up URL

* Tue Jun 22 2010 Adam Huffman <bloch@verdurin.com> - 0.6.4d-4
- add temporary fix for problem with 32-bit build

* Wed Jun 16 2010 Adam Huffman <bloch@verdurin.com> - 0.6.4d-3
- temporary release with solid2fastq.pl removed, to avoid conflict with bwa

* Mon Jun  7 2010 Adam Huffman <bloch@verdurin.com> - 0.6.4d-2
- add BR for zlib and bz2
- patch to add pthread to linking stage
- remove two docs installed by upstream Makefile, to avoid clash with docs

* Thu Jun  3 2010 Adam Huffman <bloch@verdurin.com> - 0.6.4d-1
- initial version

